<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<Document xmlns="urn:iso:std:iso:20022:tech:xsd:pain.001.001.03"
   xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
   xmlns:xs="http://www.w3.org/2001/XMLSchema"
   xsi:schemaLocation="urn:iso:std:iso:20022:tech:xsd:pain.001.001.03 pain.001.001.03.xsd">
   <CstmrCdtTrfInitn>
      <GrpHdr>
         <MsgId>885e0519099f4ef5876b1b721d4b605f</MsgId>
         <CreDtTm>2024-06-20T09:33:46</CreDtTm>
         <NbOfTxs>20</NbOfTxs>
         <CtrlSum>67913,22</CtrlSum>
         <InitgPty>
            <Nm>PKO Bank Polski SA (PLN)</Nm>
         </InitgPty>
      </GrpHdr>
      <PmtInf>
         <PmtInfId>885e0519099f4ef5876b1b721d4b605f-1</PmtInfId>
         <PmtMtd>TRF</PmtMtd>
         <NbOfTxs>20</NbOfTxs>
         <CtrlSum>67913,22</CtrlSum>
         <PmtTpInf>
            <SvcLvl>
               <Cd>SEPA</Cd>
            </SvcLvl>
         </PmtTpInf>
         <ReqdExctnDt>2024-06-20</ReqdExctnDt>
         <Dbtr>
            <Nm>PKO Bank Polski SA (PLN)</Nm>
         </Dbtr>
         <DbtrAcct>
            <Id>
               <IBAN>PL61102010260000120203993128</IBAN>
            </Id>
         </DbtrAcct>
         <DbtrAgt>
            <FinInstnId>
               <BIC>BPKOPLPW</BIC>
            </FinInstnId>
         </DbtrAgt>
         <ChrgBr>SHAR</ChrgBr>
         <CdtTrfTxInf>
            <PmtId>
               <EndToEndId>NOTPROVIDED</EndToEndId>
            </PmtId>
            <Amt>
               <InstdAmt Ccy="PLN">2337.00</InstdAmt>
            </Amt>
            <CdtrAgt>
               <FinInstnId>
                  <BIC>ALBPPLPW</BIC>
               </FinInstnId>
            </CdtrAgt>
            <Cdtr>
               <Nm>Blaszkiewicz</Nm>
            </Cdtr>
            <CdtrAcct>
               <Id>
                  <IBAN>PL35249000050000453034973384</IBAN>
               </Id>
            </CdtrAcct>
            <RmtInf>
               <Ustrd>701528 / 540/05/2024</Ustrd>
            </RmtInf>
         </CdtTrfTxInf>
         <CdtTrfTxInf>
            <PmtId>
               <EndToEndId>NOTPROVIDED</EndToEndId>
            </PmtId>
            <Amt>
               <InstdAmt Ccy="PLN">4059.00</InstdAmt>
            </Amt>
            <CdtrAgt>
               <FinInstnId>
                  <BIC>GBWCPLPP</BIC>
               </FinInstnId>
            </CdtrAgt>
            <Cdtr>
               <Nm>KOWALEWSKI</Nm>
            </Cdtr>
            <CdtrAcct>
               <Id>
                  <IBAN>PL33823300040017753920140001</IBAN>
               </Id>
            </CdtrAcct>
            <RmtInf>
               <Ustrd>701515 / FS 318/04/2024</Ustrd>
            </RmtInf>
         </CdtTrfTxInf>
         <CdtTrfTxInf>
            <PmtId>
               <EndToEndId>NOTPROVIDED</EndToEndId>
            </PmtId>
            <Amt>
               <InstdAmt Ccy="PLN">2337.00</InstdAmt>
            </Amt>
            <CdtrAgt>
               <FinInstnId>
                  <BIC>PKOPPLPW</BIC>
               </FinInstnId>
            </CdtrAgt>
            <Cdtr>
               <Nm>GEODIS</Nm>
            </Cdtr>
            <CdtrAcct>
               <Id>
                  <IBAN>PL85124062921111001069083502</IBAN>
               </Id>
            </CdtrAcct>
            <RmtInf>
               <Ustrd>701779 / FWA/24FTD/01725</Ustrd>
            </RmtInf>
         </CdtTrfTxInf>
         <CdtTrfTxInf>
            <PmtId>
               <EndToEndId>NOTPROVIDED</EndToEndId>
            </PmtId>
            <Amt>
               <InstdAmt Ccy="PLN">2337.00</InstdAmt>
            </Amt>
            <CdtrAgt>
               <FinInstnId>
                  <BIC>PKOPPLPW</BIC>
               </FinInstnId>
            </CdtrAgt>
            <Cdtr>
               <Nm>GEODIS</Nm>
            </Cdtr>
            <CdtrAcct>
               <Id>
                  <IBAN>PL85124062921111001069083502</IBAN>
               </Id>
            </CdtrAcct>
            <RmtInf>
               <Ustrd>701780 / FWA/24FTD/01732</Ustrd>
            </RmtInf>
         </CdtTrfTxInf>
         <CdtTrfTxInf>
            <PmtId>
               <EndToEndId>NOTPROVIDED</EndToEndId>
            </PmtId>
            <Amt>
               <InstdAmt Ccy="PLN">2337.00</InstdAmt>
            </Amt>
            <CdtrAgt>
               <FinInstnId>
                  <BIC>PKOPPLPW</BIC>
               </FinInstnId>
            </CdtrAgt>
            <Cdtr>
               <Nm>GEODIS</Nm>
            </Cdtr>
            <CdtrAcct>
               <Id>
                  <IBAN>PL85124062921111001069083502</IBAN>
               </Id>
            </CdtrAcct>
            <RmtInf>
               <Ustrd>701781 / FWA/24FTD/01736</Ustrd>
            </RmtInf>
         </CdtTrfTxInf>
         <CdtTrfTxInf>
            <PmtId>
               <EndToEndId>NOTPROVIDED</EndToEndId>
            </PmtId>
            <Amt>
               <InstdAmt Ccy="PLN">3013.50</InstdAmt>
            </Amt>
            <CdtrAgt>
               <FinInstnId>
                  <BIC>INGBPLPW</BIC>
               </FinInstnId>
            </CdtrAgt>
            <Cdtr>
               <Nm>adex</Nm>
            </Cdtr>
            <CdtrAcct>
               <Id>
                  <IBAN>PL42105015911000009135641521</IBAN>
               </Id>
            </CdtrAcct>
            <RmtInf>
               <Ustrd>701800 / FS 34/05/2024</Ustrd>
            </RmtInf>
         </CdtTrfTxInf>
         <CdtTrfTxInf>
            <PmtId>
               <EndToEndId>NOTPROVIDED</EndToEndId>
            </PmtId>
            <Amt>
               <InstdAmt Ccy="PLN">2952.00</InstdAmt>
            </Amt>
            <CdtrAgt>
               <FinInstnId>
                  <BIC>PPABPLPK</BIC>
               </FinInstnId>
            </CdtrAgt>
            <Cdtr>
               <Nm>Danuta Bedkowska</Nm>
            </Cdtr>
            <CdtrAcct>
               <Id>
                  <IBAN>PL50102024300000860200294058</IBAN>
               </Id>
            </CdtrAcct>
            <RmtInf>
               <Ustrd>701801 / FT/948/2024</Ustrd>
            </RmtInf>
         </CdtTrfTxInf>
         <CdtTrfTxInf>
            <PmtId>
               <EndToEndId>NOTPROVIDED</EndToEndId>
            </PmtId>
            <Amt>
               <InstdAmt Ccy="PLN">2952.00</InstdAmt>
            </Amt>
            <CdtrAgt>
               <FinInstnId>
                  <BIC>INGBPLPW</BIC>
               </FinInstnId>
            </CdtrAgt>
            <Cdtr>
               <Nm>Easy Way</Nm>
            </Cdtr>
            <CdtrAcct>
               <Id>
                  <IBAN>PL31105017221000009142459099</IBAN>
               </Id>
            </CdtrAcct>
            <RmtInf>
               <Ustrd>701817 / FV/106/2024</Ustrd>
            </RmtInf>
         </CdtTrfTxInf>
         <CdtTrfTxInf>
            <PmtId>
               <EndToEndId>NOTPROVIDED</EndToEndId>
            </PmtId>
            <Amt>
               <InstdAmt Ccy="PLN">2337.00</InstdAmt>
            </Amt>
            <CdtrAgt>
               <FinInstnId>
                  <BIC>PPABPLPK</BIC>
               </FinInstnId>
            </CdtrAgt>
            <Cdtr>
               <Nm>RABEN</Nm>
            </Cdtr>
            <CdtrAcct>
               <Id>
                  <IBAN>PL67203000745059000010201640</IBAN>
               </Id>
            </CdtrAcct>
            <RmtInf>
               <Ustrd>701809 / 8742530343</Ustrd>
            </RmtInf>
         </CdtTrfTxInf>
         <CdtTrfTxInf>
            <PmtId>
               <EndToEndId>NOTPROVIDED</EndToEndId>
            </PmtId>
            <Amt>
               <InstdAmt Ccy="PLN">2337.00</InstdAmt>
            </Amt>
            <CdtrAgt>
               <FinInstnId>
                  <BIC>PPABPLPK</BIC>
               </FinInstnId>
            </CdtrAgt>
            <Cdtr>
               <Nm>RABEN</Nm>
            </Cdtr>
            <CdtrAcct>
               <Id>
                  <IBAN>PL67203000745059000010201640</IBAN>
               </Id>
            </CdtrAcct>
            <RmtInf>
               <Ustrd>701808 / 8742530342</Ustrd>
            </RmtInf>
         </CdtTrfTxInf>
         <CdtTrfTxInf>
            <PmtId>
               <EndToEndId>NOTPROVIDED</EndToEndId>
            </PmtId>
            <Amt>
               <InstdAmt Ccy="PLN">2337.00</InstdAmt>
            </Amt>
            <CdtrAgt>
               <FinInstnId>
                  <BIC>WBKPPLPP</BIC>
               </FinInstnId>
            </CdtrAgt>
            <Cdtr>
               <Nm>ZASADA TRANS</Nm>
            </Cdtr>
            <CdtrAcct>
               <Id>
                  <IBAN>PL08150017481217400107410000</IBAN>
               </Id>
            </CdtrAcct>
            <RmtInf>
               <Ustrd>701815 / TKP/0211/05/2024/FV</Ustrd>
            </RmtInf>
         </CdtTrfTxInf>
         <CdtTrfTxInf>
            <PmtId>
               <EndToEndId>NOTPROVIDED</EndToEndId>
            </PmtId>
            <Amt>
               <InstdAmt Ccy="PLN">2337.00</InstdAmt>
            </Amt>
            <CdtrAgt>
               <FinInstnId>
                  <BIC>PPABPLPKXXX</BIC>
               </FinInstnId>
            </CdtrAgt>
            <Cdtr>
               <Nm>Wielkopolska</Nm>
            </Cdtr>
            <CdtrAcct>
               <Id>
                  <IBAN>PL73203000451110000002046170</IBAN>
               </Id>
            </CdtrAcct>
            <RmtInf>
               <Ustrd>701802 / V 00043/05/2024</Ustrd>
            </RmtInf>
         </CdtTrfTxInf>
         <CdtTrfTxInf>
            <PmtId>
               <EndToEndId>NOTPROVIDED</EndToEndId>
            </PmtId>
            <Amt>
               <InstdAmt Ccy="PLN">2337.00</InstdAmt>
            </Amt>
            <CdtrAgt>
               <FinInstnId>
                  <BIC>PKOPPLPW</BIC>
               </FinInstnId>
            </CdtrAgt>
            <Cdtr>
               <Nm>EXWIS</Nm>
            </Cdtr>
            <CdtrAcct>
               <Id>
                  <IBAN>PL88124060871111001053542790</IBAN>
               </Id>
            </CdtrAcct>
            <RmtInf>
               <Ustrd>701823 / 381/2024</Ustrd>
            </RmtInf>
         </CdtTrfTxInf>
         <CdtTrfTxInf>
            <PmtId>
               <EndToEndId>NOTPROVIDED</EndToEndId>
            </PmtId>
            <Amt>
               <InstdAmt Ccy="PLN">1230.00</InstdAmt>
            </Amt>
            <CdtrAgt>
               <FinInstnId>
                  <BIC>PKOPPLPW</BIC>
               </FinInstnId>
            </CdtrAgt>
            <Cdtr>
               <Nm>GEODIS</Nm>
            </Cdtr>
            <CdtrAcct>
               <Id>
                  <IBAN>PL85124062921111001069083502</IBAN>
               </Id>
            </CdtrAcct>
            <RmtInf>
               <Ustrd>701782 / FKA/24FTD/01907</Ustrd>
            </RmtInf>
         </CdtTrfTxInf>
         <CdtTrfTxInf>
            <PmtId>
               <EndToEndId>NOTPROVIDED</EndToEndId>
            </PmtId>
            <Amt>
               <InstdAmt Ccy="PLN">2029.50</InstdAmt>
            </Amt>
            <CdtrAgt>
               <FinInstnId>
                  <BIC>PKOPPLPW</BIC>
               </FinInstnId>
            </CdtrAgt>
            <Cdtr>
               <Nm>STALKO</Nm>
            </Cdtr>
            <CdtrAcct>
               <Id>
                  <IBAN>PL51124063351111000051278199</IBAN>
               </Id>
            </CdtrAcct>
            <RmtInf>
               <Ustrd>701813 / 3814/04/2024/TR</Ustrd>
            </RmtInf>
         </CdtTrfTxInf>
         <CdtTrfTxInf>
            <PmtId>
               <EndToEndId>NOTPROVIDED</EndToEndId>
            </PmtId>
            <Amt>
               <InstdAmt Ccy="PLN">2029.50</InstdAmt>
            </Amt>
            <CdtrAgt>
               <FinInstnId>
                  <BIC>PKOPPLPW</BIC>
               </FinInstnId>
            </CdtrAgt>
            <Cdtr>
               <Nm>STALKO</Nm>
            </Cdtr>
            <CdtrAcct>
               <Id>
                  <IBAN>PL51124063351111000051278199</IBAN>
               </Id>
            </CdtrAcct>
            <RmtInf>
               <Ustrd>701811 / 3812/04/2024/TR</Ustrd>
            </RmtInf>
         </CdtTrfTxInf>
         <CdtTrfTxInf>
            <PmtId>
               <EndToEndId>NOTPROVIDED</EndToEndId>
            </PmtId>
            <Amt>
               <InstdAmt Ccy="PLN">3075.00</InstdAmt>
            </Amt>
            <CdtrAgt>
               <FinInstnId>
                  <BIC>POLUPLPR</BIC>
               </FinInstnId>
            </CdtrAgt>
            <Cdtr>
               <Nm>Klajnowski</Nm>
            </Cdtr>
            <CdtrAcct>
               <Id>
                  <IBAN>PL21888210322001002691790001</IBAN>
               </Id>
            </CdtrAcct>
            <RmtInf>
               <Ustrd>701816 / 751/2024</Ustrd>
            </RmtInf>
         </CdtTrfTxInf>
         <CdtTrfTxInf>
            <PmtId>
               <EndToEndId>NOTPROVIDED</EndToEndId>
            </PmtId>
            <Amt>
               <InstdAmt Ccy="PLN">1848.00</InstdAmt>
            </Amt>
            <CdtrAgt>
               <FinInstnId>
                  <BIC>INGBPLPW</BIC>
               </FinInstnId>
            </CdtrAgt>
            <Cdtr>
               <Nm>BULK CARGO</Nm>
            </Cdtr>
            <CdtrAcct>
               <Id>
                  <IBAN>PL97105000995381000010009580</IBAN>
               </Id>
            </CdtrAcct>
            <RmtInf>
               <Ustrd>702441 / VAT/2043/E /2024</Ustrd>
            </RmtInf>
         </CdtTrfTxInf>
         <CdtTrfTxInf>
            <PmtId>
               <EndToEndId>NOTPROVIDED</EndToEndId>
            </PmtId>
            <Amt>
               <InstdAmt Ccy="PLN">16961.40</InstdAmt>
            </Amt>
            <CdtrAgt>
               <FinInstnId>
                  <BIC>PPABPLPK</BIC>
               </FinInstnId>
            </CdtrAgt>
            <Cdtr>
               <Nm>Baltic Hub</Nm>
            </Cdtr>
            <CdtrAcct>
               <Id>
                  <IBAN>PL52160014753166100000000793</IBAN>
               </Id>
            </CdtrAcct>
            <RmtInf>
               <Ustrd>702466 / FV/24/06/0304</Ustrd>
            </RmtInf>
         </CdtTrfTxInf>
         <CdtTrfTxInf>
            <PmtId>
               <EndToEndId>NOTPROVIDED</EndToEndId>
            </PmtId>
            <Amt>
               <InstdAmt Ccy="PLN">6730.32</InstdAmt>
            </Amt>
            <CdtrAgt>
               <FinInstnId>
                  <BIC>PPABPLPK</BIC>
               </FinInstnId>
            </CdtrAgt>
            <Cdtr>
               <Nm>Baltic Hub</Nm>
            </Cdtr>
            <CdtrAcct>
               <Id>
                  <IBAN>PL52160014753166100000000793</IBAN>
               </Id>
            </CdtrAcct>
            <RmtInf>
               <Ustrd>702467 / FV/24/06/0309</Ustrd>
            </RmtInf>
         </CdtTrfTxInf>
      </PmtInf>
   </CstmrCdtTrfInitn>
</Document>